> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-1d264819.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織のアクティビティ一覧

> すべての組織アクティビティの一覧を返します。



## OpenAPI

````yaml /ja/products/cloud/api-reference/cloud-openapi.json get /v1/organizations/{organizationId}/activities
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/activities:
    get:
      tags:
        - Organization
      summary: 組織のアクティビティ一覧
      description: すべての組織アクティビティの一覧を返します。
      parameters:
        - description: 要求された組織のID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 検索の開始日
          in: query
          name: from_date
          schema:
            format: date-time
            type: string
        - description: 検索の終了日
          in: query
          name: to_date
          schema:
            format: date-time
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意のID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/Activity'
                    type: array
                  status:
                    description: HTTPステータスコード。
                    example: 200
                    type: number
                type: object
          description: 正常なレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 詳細なエラーの説明。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーと見なされる何らかの理由により、サーバーはリクエストを処理できないか、処理しません。
components:
  schemas:
    Activity:
      properties:
        actorDetails:
          description: Actor に関する追加情報。
          type: string
        actorId:
          description: 一意のActor ID。
          type: string
        actorIpAddress:
          description: Actor の IP アドレス。'user' および 'api' の actor type で定義されます。
          type: string
        actorType:
          description: 'Actorの種類: ''user''、''support''、''system''、''api''。'
          enum:
            - user
            - support
            - system
            - api
          type: string
        createdAt:
          description: アクティビティのtimestamp。ISO-8601。
          format: date-time
          type: string
        id:
          description: 一意のアクティビティ ID。
          type: string
        organizationId:
          description: 'アクティビティのスコープ: このアクティビティに関連するOrganization ID。'
          type: string
        serviceId:
          description: 'アクティビティのスコープ: このアクティビティに関連するサービス ID。'
          type: string
        type:
          description: アクティビティの種類。
          enum:
            - create_organization
            - organization_update_name
            - transfer_service_in
            - transfer_service_out
            - save_payment_method
            - marketplace_subscription
            - migrate_marketplace_billing_details_in
            - migrate_marketplace_billing_details_out
            - organization_update_tier
            - organization_invite_create
            - organization_invite_delete
            - organization_member_join
            - organization_member_add
            - organization_member_leave
            - organization_member_delete
            - organization_member_update_role
            - organization_member_update_mfa_method
            - user_login
            - user_login_failed
            - user_logout
            - key_create
            - key_delete
            - openapi_key_update
            - service_create
            - service_start
            - service_stop
            - service_awaken
            - service_partially_running
            - service_delete
            - service_update_name
            - service_update_ip_access_list
            - service_update_autoscaling_memory
            - service_update_autoscaling_idling
            - service_update_password
            - service_update_autoscaling_replicas
            - service_update_max_allowable_replicas
            - service_update_backup_configuration
            - service_restore_backup
            - service_update_release_channel
            - service_update_gpt_usage_consent
            - service_update_private_endpoints
            - service_import_to_organization
            - service_export_from_organization
            - service_maintenance_start
            - service_maintenance_end
            - service_update_core_dump
            - backup_delete
          type: string
        userAgent:
          description: Actor のユーザーエージェント
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud コンソールで取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````